<div class="container">
    <div class="row">
        <div class="col-md-12 mt-5">
            <div class="row">
                <div class="col-md-6">
                    <a (click)="showData(false)"  class="btn btn-primary text-white mr-3">Grid View</a>
                    <a (click)="showData(true)" class="btn btn-primary text-white mr-3">Table View</a>
                    <a routerLink="viewappliedjobs" class="btn btn-primary text-white mr-3">View applied jobs</a>
                    <a routerLink="uploadresume" class="btn btn-primary text-white">Add Resume</a>
                </div>
                <div class="col-md-3">
                    <select name="sortitems" class="form-control" #sortdata (change)="sort(sortdata.value)">
                        <option value="">Select sort item</option>
                        <option value="jTitle">Job Title</option>
                        <option value="jVacancy">Vacancy</option>
                        <option value="jDate">Post Date</option>
                    </select>
                </div>
                <div class="col-md-3">
                    <input type="text" class="form-control" placeholder="Search" #searchBox id="search-box" (keyup)="search(searchBox.value)">
                </div>
            </div>
            <div class="row" *ngIf="display == false">
                <div class="col-md-4 py-5" *ngFor="let job of jobs" >
                    <div class="card">
                        <div class="card-body">
                        <h5 class="card-title">{{job.jTitle}}</h5>
                        <p class="card-text">{{job.jDescription}}</p>
                        <p class="card-text">{{job.jMinW}}-{{job.jMaxW}} years</p>
                        <p class="card-text">{{job.jVacancy}} vacancy</p>
                        <p class="card-text">{{job.jQualification}}</p>
                        <p class="card-text">{{job.jDate | date}} - Posted date</p>
                        <p>
                            <a class="btn btn-primary text-white"  (click) = "deleteJob(job._id)">Apply Job</a>
                        </p>
                        </div>
                    </div>
                </div>
            </div>
            
            <div class="row mx-auto" *ngIf="display == true">
                <table border="1" align="center" class="mt-5 table table-striped">
                    <tr class="text-white text-center">
                        <td class="bgcolor">Job title</td>
                        <td class="bgcolor">Job Description</td>
                        <td class="bgcolor">Experience</td>
                        <td class="bgcolor">Vacancy</td>
                        <td class="bgcolor">Qualification</td>
                        <td class="bgcolor">Job Posted Date</td>
                        <td  class="bgcolor">Apply Jobs</td>
                    </tr>
                    <tr class="text-center" *ngFor="let job of jobs  | paginate: { itemsPerPage: 3, currentPage: p }">
                        <td>{{job.jTitle}}</td>
                        <td>{{job.jDescription}}</td>
                        <td>{{job.jMinW}}-{{job.jMaxW}} years</td>
                        <td>{{job.jVacancy}}</td>
                        <td>{{job.jQualification}}</td>
                        <td>{{job.jDate | date}}</td>
                        <td>
                            <a class="btn btn-primary text-white"  (click) = "applyJob(job._id,job.jTitle)">Apply Job</a>
                        </td>
                    </tr>
                </table>
                <pagination-controls (pageChange)="p = $event"></pagination-controls>
            </div>
        </div>
    </div>
</div>

<ng-template #errorLogin let-c="close" let-d="dismiss">
    <div class="modal-header">
        <h6 class="modal-title">Already applied</h6>
        <button type="button" class="close" aria-label="Close"  (click)="c('Close click')">
            <span aria-hidden="true">&times;</span>
        </button>
    </div>
    <div class="modal-body">
        <p>you have already applied to this job&hellip;</p>
    </div>    
</ng-template>
    

<ng-template #success let-c="close" let-d="dismiss">
    <div class="modal-header">
        <h6 class="modal-title">Success</h6>
        <button type="button" class="close" aria-label="Close" (click)="c('Close click')">
            <span aria-hidden="true">&times;</span>
        </button>
    </div>
    <div class="modal-body">
        <p>Applied successfully&hellip;</p>
    </div>
      
</ng-template>


<ng-template #resume let-c="close" let-d="dismiss">
    <div class="modal-header">
        <h6 class="modal-title">Resume Upload</h6>
        <button type="button" class="close" aria-label="Close" (click)="c('Close click')">
            <span aria-hidden="true">&times;</span>
        </button>
    </div>
    <div class="modal-body">
        <p>Upload your resume to apply for jobs&hellip;</p>
    </div>   
</ng-template>
